### Method

# GUPnP ServiceProxyAction set

since: 1.4.0

#### Declaration [src]

    gboolean
    gupnp_service_proxy_action_set (
      GUPnPServiceProxyAction* action,
      const char* key,
      const GValue* value,
      GError** error
    )

#### Description [src]

Update the value of `key` to `value`.

`key` needs to already exist in `action`.

Available since: 1.4.0

#### Parameters

`key`

  Type: `const char*`

  The name of the value to modify.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `GValue`

  The new value of `key`.

  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

True if successfully modified, false otherwise.